apiVersion: camel.apache.org/v1alpha1
kind: Kamelet
metadata:
  creationTimestamp: "2023-01-09T10:27:53Z"
  generation: 1
  name: custom-timer-source
  namespace: lfabriko
  resourceVersion: "20849389"
  uid: 1698b86d-d69a-4904-a9cb-efaded0a0901
spec:
  definition:
    description: Send message in frequency specified by period
    properties:
      contentType:
        default: application/json
        title: Content Type
        type: string
      message:
        default: '{ "foo":"John", "bar":30, "baz":"ciao" }'
        example: hello world
        title: Message
        type: string
      period:
        default: "1000"
        title: Period
        type: integer
      repeatCount:
        default: "10"
        title: Repeat Count
        type: integer
    required:
    - message
    title: Custom timer source
  template:
    from:
      parameters:
        period: '{{period}}'
        repeatCount: '{{repeatCount}}'
      steps:
      - set-body:
          constant: '{{message}}'
      - set-header:
          constant: '{{contentType}}'
          name: Content-Type
      - to: kamelet:sink
      uri: timer:tick
  types:
    out:
      mediaType: text/plain
status:
  conditions:
  - lastTransitionTime: "2023-01-09T10:27:53Z"
    lastUpdateTime: "2023-01-09T10:27:53Z"
    status: "True"
    type: Ready
  observedGeneration: 1
  phase: Ready
  properties:
  - default: application/json
    name: contentType
  - default: '{ "foo":"John", "bar":30, "baz":"ciao" }'
    name: message
  - default: "1000"
    name: period
  - default: "10"
    name: repeatCount
